#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:status) do
  include EasyType
  include Puppet_X::EnterpriseModules::Iib::Commands

  desc <<-EOD
The status of the IIB component. Can either be `running` or `stopped`.
Here is an example on how to use this:

    iib_... {...
      ...
      status => 'running',
      ...
    }

  EOD

  defaultto 'running'
  newvalues 'stopped', 'running'

  to_translate_to_resource do |raw_resource|
    raw_resource[:status]
  end
end
